Get organisation by ID
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/organisations/{organisationId} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/organisations/{organisationId}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/organisations/{organisationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"timezone": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Organisation
Get organisation by ID
Retrieve an organisation by its ID.
GET
/
organisations
/
{organisationId}
Get organisation by ID
Authorizations
Path Parameters
Response
Successful response
The id of the organisation
Pattern:
^[0-9a-fA-F]{24}$The name of the organisation
The language of the organisation e.g. en, de, fr, etc.
The timezone of the organisation (IANA format)
The location of data for the organisation
Available options:
DE, US The user who created this organisation
The user who last updated this organisation
Was this page helpful?
⌘I

